using SqlSugar;

namespace OpenAuth.Repository.Domain;

[SugarTable("lasa_aiachievement")]
public class LasaAiAchievement
{
    [SugarColumn(ColumnName = "Id", IsPrimaryKey = true)]
    public string Id { get; set; }

    [SugarColumn(ColumnName = "Title")]
    public string Title { get; set; }

    [SugarColumn(ColumnName = "ConfidenceLevel")]
    public float? ConfidenceLevel { get; set; }

    [SugarColumn(ColumnName = "Lng")]
    public float? Lng { get; set; }

    [SugarColumn(ColumnName = "Lat")]
    public float? Lat { get; set; }

    [SugarColumn(ColumnName = "Address")]
    public string Address { get; set; }

    [SugarColumn(ColumnName = "CreateTime")]
    public DateTime? CreateTime { get; set; }

    [SugarColumn(ColumnName = "PayloadModel")]
    public string PayloadModel { get; set; }

    [SugarColumn(ColumnName = "AiModel")]
    public string AiModel { get; set; }
    [SugarColumn(ColumnName = "TaskId")]
    public string TaskId { get; set; }
    [SugarColumn(ColumnName = "Tag")]
    public string Tag { get; set; }

    [SugarColumn(ColumnName = "Cover")]
    public string Cover { get; set; }
    [SugarColumn(ColumnName = "Description")]
    public string Description { get; set; }

    [SugarColumn(IsIgnore = true)] public List<LasaAiAchievementDetail> AiAchievementDetailList { get; set; }
}